<div class="title is-3">Registro de auditoria</div>

<%= if info = get_flash(@conn, :info) do %>
<article class="message is-info">
  <div class="message-header">
    <p><%= info %></p>
  </div>
</article>
<% end %>

<%= if error = get_flash(@conn, :error) do %>
<article class="message is-danger">
  <div class="message-header">
    <p><%= error %></p>
  </div>
</article>
<% end %>


<%= for audit <- @audits do %>
  <div class="box is-marginless audit-item">
    <%= raw format_audit(audit) %>
    <%= if !Enum.empty?(audit.details) do %>
      <div class="audit-details">
        <%= for {detail, c} <- Enum.with_index(audit.details) do %>
          <% count = Integer.to_string(c + 1) %>
          <div class="audit-detail">
            <span class="audit-detail__index">
              <%= String.pad_leading(count, 2, "0") %> -
            </span><%= raw format_detail(audit, detail) %></div>
        <% end %>
      </div>
    <% end %>
  </div>
<% end %>

<%= pagination_links @audits %>

<style>
.audit-item {
  margin-bottom: .5em!important;
  padding: 0.5rem;
}

.audit-details {
  padding-left: 2em;
}

.audit-detail__index {
  font-family: monospace;
  color: #eb3d2d;
}
</style>
